#!/bin/sh
INSTALL_DIR=/opt/cubesql

# check if installation folder exists
if ! [ -d  $INSTALL_DIR ]; then
mkdir -p $INSTALL_DIR
fi

# copy from data to $INSTALL_DIR
cp -fR ./data/cubesql/* $INSTALL_DIR
chown root:root "$INSTALL_DIR/cubesql"

# copy startup script
# MUST be root:root
# some distributions doesn't have the rc.d subdirectory
INIT_DIR=/etc/rc.d/init.d
if ! [ -d  $INIT_DIR ]; then
INIT_DIR=/etc/init.d
fi

STARTUP_DIR=/etc/rc.d
if ! [ -d  $STARTUP_DIR ]; then
STARTUP_DIR=/etc
fi

cp ./data/cubesqlctl "/usr/local/bin"
chmod +x "/usr/local/bin/cubesqlctl"
chown root:root "/usr/local/bin/cubesqlctl"

cp ./data/cubesql.startup "$INIT_DIR/cubesql"
chmod +x "$INIT_DIR/cubesql"
chown root:root "$INIT_DIR/cubesql"

chkconfig --add cubesql
